Bug 91270 - [patch] ImageMagick segfaults, port update to 6.2.5-5 solves problem
[patch] ImageMagick segfaults, port update to 6.2.5-5 solves problem
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-03 16:00 UTC by meritus
Modified: 2006-01-05 04:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.98 KB, patch)
2006-01-03 16:00 UTC, meritus
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description meritus 2006-01-03 16:00:21 UTC
Using 'convert' utility, even on basic operations causes job to be done, but command exits via receiveing SEGFAULT signal.
Using new version of ImageMagick (6.2.5-5), convert utility works as expected.

This problem also applies to pecl-imagick.
And of course is also solved by this port update

/etc/make.cof is empty during port install

Fix: Apply patch to ports an commit:
How-To-Repeat: Execute:
      convert -verbose /srcimg.jpg  -write /tmp/img.jpg 

And watch FreeBSD prematurely kills this process with signal 11 :-)
Comment 1 pav freebsd_committer 2006-01-03 16:41:23 UTC
Isn't the patch backwards? Also it would look much better if it was
unified diff...

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Traffic collapse in Paris starts whenever a traffic light changes color.
  -- JLE at #angband
Comment 2 Edwin Groothuis freebsd_committer 2006-01-03 20:30:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback 

http://www.freebsd.org/cgi/query-pr.cgi?pr=91270 


You are absolutely right, here comes better diff:

diff -ur /tmp/ImageMagick/Makefile /usr/ports/graphics/ImageMagick/Makefile
--- /tmp/ImageMagick/Makefile   Tue Nov 15 07:49:23 2005
+++ /usr/ports/graphics/ImageMagick/Makefile    Tue Jan  3 15:54:31 2006
@@ -6,7 +6,7 @@
 #

 PORTNAME=      ImageMagick
-PORTVERSION=   6.2.2.1
+PORTVERSION=   6.2.5.5
 CATEGORIES=    graphics perl5
 MASTER_SITES=  ftp://ftp.nluug.nl/pub/ImageMagick/ \
            ${MASTER_SITE_LOCAL:S/%SUBDIR%/pav/}
diff -ur /tmp/ImageMagick/distinfo /usr/ports/graphics/ImageMagick/distinfo
--- /tmp/ImageMagick/distinfo   Mon May  2 10:27:39 2005
+++ /usr/ports/graphics/ImageMagick/distinfo    Tue Jan  3 15:56:34 2006
@@ -1,2 +1,2 @@
-MD5 (ImageMagick-6.2.2-1.tar.bz2) = 129caaa6d32adb162a29eef7ebe92a9b
-SIZE (ImageMagick-6.2.2-1.tar.bz2) = 4721988
+MD5 (ImageMagick-6.2.5-5.tar.bz2) = eaee90992c8cf36f1f5fc6c887d73897
+SIZE (ImageMagick-6.2.5-5.tar.bz2) = 5044679
diff -ur /tmp/ImageMagick/files/patch-Makefile.in /usr/ports/graphics/ImageMagick/files/patch-Makefile.in
--- /tmp/ImageMagick/files/patch-Makefile.in    Sat Apr  9 23:48:45 2005
+++ /usr/ports/graphics/ImageMagick/files/patch-Makefile.in     Tue Jan  3 16:02:02 2006
@@ -1,32 +1,5 @@
 --- Makefile.in.orig   Sat Mar  5 01:08:24 2005
 +++ Makefile.in        Thu Apr  7 23:38:41 2005
-@@ -1890,7 +1890,7 @@
-       $(UTILITIES_EXTRA_DIST) \
-       $(WAND_EXTRA_DIST)
-
--lib_LTLIBRARIES = $(LIBLTDL) $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
-+lib_LTLIBRARIES = $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
-
- # Where architecture-independent configuration files get installed
- # (share/ImageMagick-version)
-@@ -4443,6 +4443,8 @@
-           f=$(am__strip_dir) \
-           echo " $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(codersdir)/$$f'"; \
-           $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
-+          echo " $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(codersdir)/$$f'"; \
-+          $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
-         else :; fi; \
-       done
-
-@@ -4470,6 +4472,8 @@
-           f=$(am__strip_dir) \
-           echo " $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(filtersdir)/$$f'"; \
-           $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
-+          echo " $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(filtersdir)/$$f'"; \
-+          $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
-         else :; fi; \
-       done
-
 @@ -9336,7 +9340,7 @@

  @WITH_PERL_DYNAMIC_TRUE@@WITH_PERL_TRUE@install-exec-perl: $(PERLMAKEFILE)

Comment 3 Edwin Groothuis freebsd_committer 2006-01-04 22:34:37 UTC
This patch is clean and ready to be commited once approved.

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/graphics/ImageMagick/Makefile,v
retrieving revision 1.209
diff -u -r1.209 Makefile
--- Makefile	15 Nov 2005 06:49:23 -0000	1.209
+++ Makefile	4 Jan 2006 22:14:52 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	ImageMagick
-PORTVERSION=	6.2.2.1
+PORTVERSION=	6.2.5.5
 CATEGORIES=	graphics perl5
 MASTER_SITES=	ftp://ftp.nluug.nl/pub/ImageMagick/ \
 		${MASTER_SITE_LOCAL:S/%SUBDIR%/pav/}
@@ -15,7 +15,7 @@
 MAINTAINER=	avleeuwen@piwebs.com
 COMMENT=	Image processing tools
 
-WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
 
 USE_PERL5=	yes
 USE_BZIP2=	yes
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/graphics/ImageMagick/distinfo,v
retrieving revision 1.101
diff -u -r1.101 distinfo
--- distinfo	2 May 2005 08:27:39 -0000	1.101
+++ distinfo	4 Jan 2006 22:14:52 -0000
@@ -1,2 +1,2 @@
-MD5 (ImageMagick-6.2.2-1.tar.bz2) = 129caaa6d32adb162a29eef7ebe92a9b
-SIZE (ImageMagick-6.2.2-1.tar.bz2) = 4721988
+MD5 (ImageMagick-6.2.5-5.tar.bz2) = eaee90992c8cf36f1f5fc6c887d73897
+SIZE (ImageMagick-6.2.5-5.tar.bz2) = 5044679
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/graphics/ImageMagick/pkg-plist,v
retrieving revision 1.93
diff -u -r1.93 pkg-plist
--- pkg-plist	2 May 2005 08:27:39 -0000	1.93
+++ pkg-plist	4 Jan 2006 22:14:52 -0000
@@ -65,6 +65,7 @@
 include/magick/magic.h
 include/magick/magick.h
 include/magick/magick-config.h
+include/magick/magick-type.h
 include/magick/memory_.h
 include/magick/methods.h
 include/magick/module.h
@@ -74,7 +75,9 @@
 include/magick/option.h
 include/magick/paint.h
 include/magick/pixel.h
+include/magick/prepress.h
 include/magick/profile.h
+include/magick/quantum.h
 include/magick/quantize.h
 include/magick/random_.h
 include/magick/registry.h
@@ -97,6 +100,8 @@
 include/magick/widget.h
 include/magick/xwindow.h
 include/wand/drawing-wand.h
+include/wand/magick-attribute.h
+include/wand/magick-image.h
 include/wand/magick_wand.h
 include/wand/magick-wand.h
 include/wand/pixel-iterator.h
@@ -308,13 +313,13 @@
 %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/filters/analyze.so
 lib/libMagick++.a
 lib/libMagick++.so
-lib/libMagick++.so.8
+lib/libMagick++.so.9
 lib/libMagick.a
 lib/libMagick.so
-lib/libMagick.so.8
+lib/libMagick.so.9
 lib/libWand.a
 lib/libWand.so
-lib/libWand.so.8
+lib/libWand.so.9
 libdata/pkgconfig/ImageMagick++.pc
 libdata/pkgconfig/ImageMagick.pc
 libdata/pkgconfig/Wand.pc
@@ -329,148 +334,158 @@
 share/ImageMagick-%%PORTVERSION%%/LICENSE
 share/ImageMagick-%%PORTVERSION%%/ChangeLog
 share/ImageMagick-%%PORTVERSION%%/NEWS
-%%PORTDOCS%%share/doc/ImageMagick/images/background.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/button.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/configure.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/devlib.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/difference.png
-%%PORTDOCS%%share/doc/ImageMagick/images/donate.png
-%%PORTDOCS%%share/doc/ImageMagick/images/examples.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/frame.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/fuzzy-magick.png
-%%PORTDOCS%%share/doc/ImageMagick/images/georeviews.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/granite.png
-%%PORTDOCS%%share/doc/ImageMagick/images/label.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/logo.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/montage.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/reconstruct.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/red-ball.png
-%%PORTDOCS%%share/doc/ImageMagick/images/red-circle.png
-%%PORTDOCS%%share/doc/ImageMagick/images/right.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/rose-over.png
-%%PORTDOCS%%share/doc/ImageMagick/images/rose.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/rose.png
-%%PORTDOCS%%share/doc/ImageMagick/images/script.png
-%%PORTDOCS%%share/doc/ImageMagick/images/smile.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/sponsor.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/sprite.jpg
-%%PORTDOCS%%share/doc/ImageMagick/images/travelsur.gif
-%%PORTDOCS%%share/doc/ImageMagick/images/white-highlight.png
-%%PORTDOCS%%share/doc/ImageMagick/index.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Blob.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.fig
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.svg
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ChangeLog.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/CoderInfo.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Color.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Documentation.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable_example_1.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Enumerations.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Exception.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/FormatCharacters.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Future.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Geometry.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.fig
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageDesign.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageMagick.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Install.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Magick++.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Montage.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/NEWS.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/PixelPacket.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Pixels.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/README.txt
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/STL.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/TypeMetric.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/index.html
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/montage-sample-framed.jpg
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/right_triangle.png
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy-framed.fig
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy-framed.jpg
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy-plain.fig
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy-plain.jpg
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample-framed.jpg
-%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample-plain.jpg
-%%PORTDOCS%%share/doc/ImageMagick/www/advanced-unix-installation.html
-%%PORTDOCS%%share/doc/ImageMagick/www/advanced-windows-installation.html
-%%PORTDOCS%%share/doc/ImageMagick/www/animate.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/animate.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/annotate.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/attribute.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/blob.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/cache.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/color.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/colorspace.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/compare.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/composite.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/constitute.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/decorate.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/display.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/draw.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/drawing-wand.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/effect.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/enhance.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/exception.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/fx.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/image.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/list.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/magick-wand.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/magick.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/memory.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/monitor.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/montage.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/paint.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-iterator.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-wand.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/profile.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/quantize.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/registry.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/resize.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/resource.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/segment.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/shear.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/signature.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/stream.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/transform.html
-%%PORTDOCS%%share/doc/ImageMagick/www/api/version.html
-%%PORTDOCS%%share/doc/ImageMagick/www/binary-releases.html
-%%PORTDOCS%%share/doc/ImageMagick/www/changelog.html
-%%PORTDOCS%%share/doc/ImageMagick/www/color.html
-%%PORTDOCS%%share/doc/ImageMagick/www/command-line-options.html
-%%PORTDOCS%%share/doc/ImageMagick/www/command-line-processing.html
-%%PORTDOCS%%share/doc/ImageMagick/www/command-line-tools.html
-%%PORTDOCS%%share/doc/ImageMagick/www/compare.html
-%%PORTDOCS%%share/doc/ImageMagick/www/composite.html
-%%PORTDOCS%%share/doc/ImageMagick/www/conjure.html
-%%PORTDOCS%%share/doc/ImageMagick/www/contact.html
-%%PORTDOCS%%share/doc/ImageMagick/www/convert.html
-%%PORTDOCS%%share/doc/ImageMagick/www/cvs.html
-%%PORTDOCS%%share/doc/ImageMagick/www/display.html
-%%PORTDOCS%%share/doc/ImageMagick/www/download.html
-%%PORTDOCS%%share/doc/ImageMagick/www/examples.html
-%%PORTDOCS%%share/doc/ImageMagick/www/formats.html
-%%PORTDOCS%%share/doc/ImageMagick/www/identify.html
-%%PORTDOCS%%share/doc/ImageMagick/www/import.html
-%%PORTDOCS%%share/doc/ImageMagick/www/install-source.html
-%%PORTDOCS%%share/doc/ImageMagick/www/license.html
-%%PORTDOCS%%share/doc/ImageMagick/www/links.html
-%%PORTDOCS%%share/doc/ImageMagick/www/magick-core.html
-%%PORTDOCS%%share/doc/ImageMagick/www/magick-wand.html
-%%PORTDOCS%%share/doc/ImageMagick/www/magick.css
-%%PORTDOCS%%share/doc/ImageMagick/www/mailing-list.html
-%%PORTDOCS%%share/doc/ImageMagick/www/miff.html
-%%PORTDOCS%%share/doc/ImageMagick/www/mogrify.html
-%%PORTDOCS%%share/doc/ImageMagick/www/montage.html
-%%PORTDOCS%%share/doc/ImageMagick/www/perl-magick.html
-%%PORTDOCS%%share/doc/ImageMagick/www/quantize.html
-%%PORTDOCS%%share/doc/ImageMagick/www/resources.html
-%%PORTDOCS%%share/doc/ImageMagick/www/search.html
-%%PORTDOCS%%share/doc/ImageMagick/www/sponsors.html
+%%PORTDOCS%%%%DOCSDIR%%/images/arc.png
+%%PORTDOCS%%%%DOCSDIR%%/images/background.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/button.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/configure.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/devlib.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/difference.png
+%%PORTDOCS%%%%DOCSDIR%%/images/dogwaffle.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/donate.png
+%%PORTDOCS%%%%DOCSDIR%%/images/examples.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/frame.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/fuzzy-magick.png
+%%PORTDOCS%%%%DOCSDIR%%/images/georeviews.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/granite.png
+%%PORTDOCS%%%%DOCSDIR%%/images/label.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/logo.eps
+%%PORTDOCS%%%%DOCSDIR%%/images/logo.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/montage.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/piechart.png
+%%PORTDOCS%%%%DOCSDIR%%/images/reconstruct.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/red-ball.png
+%%PORTDOCS%%%%DOCSDIR%%/images/red-circle.png
+%%PORTDOCS%%%%DOCSDIR%%/images/right.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/rose-over.png
+%%PORTDOCS%%%%DOCSDIR%%/images/rose.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/rose.png
+%%PORTDOCS%%%%DOCSDIR%%/images/script.png
+%%PORTDOCS%%%%DOCSDIR%%/images/smile.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/sponsor.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/sprite.jpg
+%%PORTDOCS%%%%DOCSDIR%%/images/travelsur.gif
+%%PORTDOCS%%%%DOCSDIR%%/images/wand.ico
+%%PORTDOCS%%%%DOCSDIR%%/images/white-highlight.png
+%%PORTDOCS%%%%DOCSDIR%%/index.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Blob.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.fig
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.svg
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ChangeLog.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/CoderInfo.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Color.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Documentation.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable_example_1.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Enumerations.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Exception.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/FormatCharacters.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Future.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Geometry.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.fig
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageDesign.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageMagick.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Install.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Magick++.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Montage.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/NEWS.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/PixelPacket.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Pixels.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/STL.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/TypeMetric.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/index.html
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/montage-sample-framed.jpg
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/right_triangle.png
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.fig
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.jpg
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.fig
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.jpg
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-framed.jpg
+%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-plain.jpg
+%%PORTDOCS%%%%DOCSDIR%%/www/advanced-unix-installation.html
+%%PORTDOCS%%%%DOCSDIR%%/www/advanced-windows-installation.html
+%%PORTDOCS%%%%DOCSDIR%%/www/animate.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/animate.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/annotate.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/attribute.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/blob.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/cache.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/color.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/colorspace.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/compare.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/composite.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/constitute.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/decorate.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/display.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/draw.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/drawing-wand.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/effect.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/enhance.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/exception.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/fx.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/image.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/list.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-wand.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/magick.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-attribute.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-image.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/memory.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/monitor.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/montage.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/paint.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-iterator.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-wand.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/profile.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/quantize.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/registry.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/resize.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/resource.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/segment.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/shear.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/signature.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/stream.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/transform.html
+%%PORTDOCS%%%%DOCSDIR%%/www/api/version.html
+%%PORTDOCS%%%%DOCSDIR%%/www/binary-releases.html
+%%PORTDOCS%%%%DOCSDIR%%/www/changelog.html
+%%PORTDOCS%%%%DOCSDIR%%/www/color.html
+%%PORTDOCS%%%%DOCSDIR%%/www/command-line-options.html
+%%PORTDOCS%%%%DOCSDIR%%/www/command-line-processing.html
+%%PORTDOCS%%%%DOCSDIR%%/www/command-line-tools.html
+%%PORTDOCS%%%%DOCSDIR%%/www/compare.html
+%%PORTDOCS%%%%DOCSDIR%%/www/composite.html
+%%PORTDOCS%%%%DOCSDIR%%/www/conjure.html
+%%PORTDOCS%%%%DOCSDIR%%/www/contact.html
+%%PORTDOCS%%%%DOCSDIR%%/www/convert.html
+%%PORTDOCS%%%%DOCSDIR%%/www/cvs.html
+%%PORTDOCS%%%%DOCSDIR%%/www/display.html
+%%PORTDOCS%%%%DOCSDIR%%/www/download.html
+%%PORTDOCS%%%%DOCSDIR%%/www/examples.html
+%%PORTDOCS%%%%DOCSDIR%%/www/formats.html
+%%PORTDOCS%%%%DOCSDIR%%/www/identify.html
+%%PORTDOCS%%%%DOCSDIR%%/www/import.html
+%%PORTDOCS%%%%DOCSDIR%%/www/index.html
+%%PORTDOCS%%%%DOCSDIR%%/www/install-source.html
+%%PORTDOCS%%%%DOCSDIR%%/www/license.html
+%%PORTDOCS%%%%DOCSDIR%%/www/links.html
+%%PORTDOCS%%%%DOCSDIR%%/www/magick-core.html
+%%PORTDOCS%%%%DOCSDIR%%/www/magick-vector-graphics.html
+%%PORTDOCS%%%%DOCSDIR%%/www/magick-wand.html
+%%PORTDOCS%%%%DOCSDIR%%/www/magick.css
+%%PORTDOCS%%%%DOCSDIR%%/www/mailing-list.html
+%%PORTDOCS%%%%DOCSDIR%%/www/miff.html
+%%PORTDOCS%%%%DOCSDIR%%/www/mogrify.html
+%%PORTDOCS%%%%DOCSDIR%%/www/montage.html
+%%PORTDOCS%%%%DOCSDIR%%/www/perl-magick.html
+%%PORTDOCS%%%%DOCSDIR%%/www/quantize.html
+%%PORTDOCS%%%%DOCSDIR%%/www/resources.html
+%%PORTDOCS%%%%DOCSDIR%%/www/search.html
+%%PORTDOCS%%%%DOCSDIR%%/www/sponsors.html
+%%PORTDOCS%%%%DOCSDIR%%/www/subversion.html
 %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/api
 %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/Magick++
 %%PORTDOCS%%@dirrm share/doc/ImageMagick/www
Index: files/patch-Makefile.in
===================================================================
RCS file: /home/pcvs/ports/graphics/ImageMagick/files/patch-Makefile.in,v
retrieving revision 1.3
diff -u -r1.3 patch-Makefile.in
--- files/patch-Makefile.in	9 Apr 2005 21:48:45 -0000	1.3
+++ files/patch-Makefile.in	4 Jan 2006 22:14:52 -0000
@@ -1,32 +1,5 @@
 --- Makefile.in.orig	Sat Mar  5 01:08:24 2005
 +++ Makefile.in	Thu Apr  7 23:38:41 2005
-@@ -1890,7 +1890,7 @@
- 	$(UTILITIES_EXTRA_DIST) \
- 	$(WAND_EXTRA_DIST)
- 
--lib_LTLIBRARIES = $(LIBLTDL) $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
-+lib_LTLIBRARIES = $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
- 
- # Where architecture-independent configuration files get installed
- # (share/ImageMagick-version)
-@@ -4443,6 +4443,8 @@
- 	    f=$(am__strip_dir) \
- 	    echo " $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(codersdir)/$$f'"; \
- 	    $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
-+	    echo " $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(codersdir)/$$f'"; \
-+	    $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
- 	  else :; fi; \
- 	done
- 
-@@ -4470,6 +4472,8 @@
- 	    f=$(am__strip_dir) \
- 	    echo " $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(filtersdir)/$$f'"; \
- 	    $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
-+	    echo " $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(filtersdir)/$$f'"; \
-+	    $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
- 	  else :; fi; \
- 	done
- 
 @@ -9336,7 +9340,7 @@
  
  @WITH_PERL_DYNAMIC_TRUE@@WITH_PERL_TRUE@install-exec-perl: $(PERLMAKEFILE)

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 4 avleeuwen 2006-01-05 00:20:48 UTC
Op 4-jan-2006, om 23:34 heeft Edwin Groothuis het volgende geschreven:

> This patch is clean and ready to be commited once approved.

Thanks!

All ports that LIB_DEPEND on ImageMagick will have to be changed and  
their PORTREVISIONs should be bumped. I can do this next week, after  
monday.

Best regards,

Arjan

>
> Index: Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/Makefile,v
> retrieving revision 1.209
> diff -u -r1.209 Makefile
> --- Makefile	15 Nov 2005 06:49:23 -0000	1.209
> +++ Makefile	4 Jan 2006 22:14:52 -0000
> @@ -6,7 +6,7 @@
>  #
>
>  PORTNAME=	ImageMagick
> -PORTVERSION=	6.2.2.1
> +PORTVERSION=	6.2.5.5
>  CATEGORIES=	graphics perl5
>  MASTER_SITES=	ftp://ftp.nluug.nl/pub/ImageMagick/ \
>  		${MASTER_SITE_LOCAL:S/%SUBDIR%/pav/}
> @@ -15,7 +15,7 @@
>  MAINTAINER=	avleeuwen@piwebs.com
>  COMMENT=	Image processing tools
>
> -WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
> +WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
>
>  USE_PERL5=	yes
>  USE_BZIP2=	yes
> Index: distinfo
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/distinfo,v
> retrieving revision 1.101
> diff -u -r1.101 distinfo
> --- distinfo	2 May 2005 08:27:39 -0000	1.101
> +++ distinfo	4 Jan 2006 22:14:52 -0000
> @@ -1,2 +1,2 @@
> -MD5 (ImageMagick-6.2.2-1.tar.bz2) = 129caaa6d32adb162a29eef7ebe92a9b
> -SIZE (ImageMagick-6.2.2-1.tar.bz2) = 4721988
> +MD5 (ImageMagick-6.2.5-5.tar.bz2) = eaee90992c8cf36f1f5fc6c887d73897
> +SIZE (ImageMagick-6.2.5-5.tar.bz2) = 5044679
> Index: pkg-plist
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/pkg-plist,v
> retrieving revision 1.93
> diff -u -r1.93 pkg-plist
> --- pkg-plist	2 May 2005 08:27:39 -0000	1.93
> +++ pkg-plist	4 Jan 2006 22:14:52 -0000
> @@ -65,6 +65,7 @@
>  include/magick/magic.h
>  include/magick/magick.h
>  include/magick/magick-config.h
> +include/magick/magick-type.h
>  include/magick/memory_.h
>  include/magick/methods.h
>  include/magick/module.h
> @@ -74,7 +75,9 @@
>  include/magick/option.h
>  include/magick/paint.h
>  include/magick/pixel.h
> +include/magick/prepress.h
>  include/magick/profile.h
> +include/magick/quantum.h
>  include/magick/quantize.h
>  include/magick/random_.h
>  include/magick/registry.h
> @@ -97,6 +100,8 @@
>  include/magick/widget.h
>  include/magick/xwindow.h
>  include/wand/drawing-wand.h
> +include/wand/magick-attribute.h
> +include/wand/magick-image.h
>  include/wand/magick_wand.h
>  include/wand/magick-wand.h
>  include/wand/pixel-iterator.h
> @@ -308,13 +313,13 @@
>  %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/filters/analyze.so
>  lib/libMagick++.a
>  lib/libMagick++.so
> -lib/libMagick++.so.8
> +lib/libMagick++.so.9
>  lib/libMagick.a
>  lib/libMagick.so
> -lib/libMagick.so.8
> +lib/libMagick.so.9
>  lib/libWand.a
>  lib/libWand.so
> -lib/libWand.so.8
> +lib/libWand.so.9
>  libdata/pkgconfig/ImageMagick++.pc
>  libdata/pkgconfig/ImageMagick.pc
>  libdata/pkgconfig/Wand.pc
> @@ -329,148 +334,158 @@
>  share/ImageMagick-%%PORTVERSION%%/LICENSE
>  share/ImageMagick-%%PORTVERSION%%/ChangeLog
>  share/ImageMagick-%%PORTVERSION%%/NEWS
> -%%PORTDOCS%%share/doc/ImageMagick/images/background.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/button.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/configure.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/devlib.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/difference.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/donate.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/examples.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/frame.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/fuzzy-magick.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/georeviews.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/granite.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/label.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/logo.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/montage.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/reconstruct.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/red-ball.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/red-circle.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/right.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose-over.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/script.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/smile.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/sponsor.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/sprite.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/travelsur.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/white-highlight.png
> -%%PORTDOCS%%share/doc/ImageMagick/index.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Blob.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.svg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ChangeLog.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/CoderInfo.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Documentation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable_example_1.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Enumerations.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Exception.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/FormatCharacters.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Future.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Geometry.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageDesign.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageMagick.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Install.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Magick++.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/NEWS.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/PixelPacket.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Pixels.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/README.txt
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/STL.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/TypeMetric.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/index.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/montage-sample- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/right_triangle.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> framed.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> plain.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> plain.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample- 
> plain.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/advanced-unix-installation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/advanced-windows- 
> installation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/animate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/animate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/annotate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/attribute.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/blob.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/cache.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/colorspace.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/compare.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/composite.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/constitute.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/decorate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/display.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/draw.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/drawing-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/effect.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/enhance.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/exception.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/fx.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/image.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/list.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/magick-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/magick.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/memory.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/monitor.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/paint.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-iterator.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/profile.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/quantize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/registry.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/resize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/resource.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/segment.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/shear.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/signature.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/stream.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/transform.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/version.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/binary-releases.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/changelog.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-options.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-processing.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-tools.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/compare.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/composite.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/conjure.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/contact.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/convert.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/cvs.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/display.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/download.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/examples.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/formats.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/identify.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/import.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/install-source.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/license.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/links.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick-core.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick.css
> -%%PORTDOCS%%share/doc/ImageMagick/www/mailing-list.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/miff.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/mogrify.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/perl-magick.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/quantize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/resources.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/search.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/sponsors.html
> +%%PORTDOCS%%%%DOCSDIR%%/images/arc.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/background.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/button.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/configure.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/devlib.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/difference.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/dogwaffle.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/donate.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/examples.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/frame.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/fuzzy-magick.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/georeviews.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/granite.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/label.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/logo.eps
> +%%PORTDOCS%%%%DOCSDIR%%/images/logo.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/montage.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/piechart.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/reconstruct.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/red-ball.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/red-circle.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/right.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose-over.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/script.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/smile.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/sponsor.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/sprite.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/travelsur.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/wand.ico
> +%%PORTDOCS%%%%DOCSDIR%%/images/white-highlight.png
> +%%PORTDOCS%%%%DOCSDIR%%/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Blob.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.svg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ChangeLog.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/CoderInfo.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Documentation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable_example_1.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Enumerations.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Exception.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/FormatCharacters.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Future.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Geometry.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageDesign.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageMagick.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Install.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Magick++.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/NEWS.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/PixelPacket.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Pixels.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/README.txt
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/STL.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/TypeMetric.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/montage-sample-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/right_triangle.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-plain.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/advanced-unix-installation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/advanced-windows-installation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/animate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/animate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/annotate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/attribute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/blob.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/cache.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/colorspace.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/compare.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/composite.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/constitute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/decorate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/display.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/draw.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/drawing-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/effect.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/enhance.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/exception.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/fx.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/list.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-attribute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/memory.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/monitor.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/paint.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-iterator.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/profile.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/quantize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/registry.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/resize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/resource.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/segment.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/shear.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/signature.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/stream.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/transform.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/version.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/binary-releases.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/changelog.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-options.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-processing.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-tools.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/compare.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/composite.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/conjure.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/contact.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/convert.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/cvs.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/display.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/download.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/examples.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/formats.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/identify.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/import.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/install-source.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/license.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/links.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-core.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-vector-graphics.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick.css
> +%%PORTDOCS%%%%DOCSDIR%%/www/mailing-list.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/miff.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/mogrify.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/perl-magick.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/quantize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/resources.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/search.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/sponsors.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/subversion.html
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/api
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/Magick++
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www
> Index: files/patch-Makefile.in
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/files/patch- 
> Makefile.in,v
> retrieving revision 1.3
> diff -u -r1.3 patch-Makefile.in
> --- files/patch-Makefile.in	9 Apr 2005 21:48:45 -0000	1.3
> +++ files/patch-Makefile.in	4 Jan 2006 22:14:52 -0000
> @@ -1,32 +1,5 @@
>  --- Makefile.in.orig	Sat Mar  5 01:08:24 2005
>  +++ Makefile.in	Thu Apr  7 23:38:41 2005
> -@@ -1890,7 +1890,7 @@
> - 	$(UTILITIES_EXTRA_DIST) \
> - 	$(WAND_EXTRA_DIST)
> -
> --lib_LTLIBRARIES = $(LIBLTDL) $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
> -+lib_LTLIBRARIES = $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
> -
> - # Where architecture-independent configuration files get installed
> - # (share/ImageMagick-version)
> -@@ -4443,6 +4443,8 @@
> - 	    f=$(am__strip_dir) \
> - 	    echo " $(LIBTOOL) --mode=install $ 
> (codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$ 
> (codersdir)/$$f'"; \
> - 	    $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $ 
> (INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
> -+	    echo " $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$ 
> $p' '$(DESTDIR)$(codersdir)/$$f'"; \
> -+	    $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$ 
> (DESTDIR)$(codersdir)/$$f"; \
> - 	  else :; fi; \
> - 	done
> -
> -@@ -4470,6 +4472,8 @@
> - 	    f=$(am__strip_dir) \
> - 	    echo " $(LIBTOOL) --mode=install $ 
> (filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR) 
> $(filtersdir)/$$f'"; \
> - 	    $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $ 
> (INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
> -+	    echo " $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$ 
> $p' '$(DESTDIR)$(filtersdir)/$$f'"; \
> -+	    $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$ 
> (DESTDIR)$(filtersdir)/$$f"; \
> - 	  else :; fi; \
> - 	done
> -
>  @@ -9336,7 +9340,7 @@
>
>   @WITH_PERL_DYNAMIC_TRUE@@WITH_PERL_TRUE@install-exec-perl: $ 
> (PERLMAKEFILE)
>
> -- 
> Edwin Groothuis
> edwin@freebsd.org
> http://www.mavetju.org
Comment 5 avleeuwen 2006-01-05 00:20:48 UTC
Op 4-jan-2006, om 23:34 heeft Edwin Groothuis het volgende geschreven:

> This patch is clean and ready to be commited once approved.

Thanks!

All ports that LIB_DEPEND on ImageMagick will have to be changed and  
their PORTREVISIONs should be bumped. I can do this next week, after  
monday.

Best regards,

Arjan

>
> Index: Makefile
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/Makefile,v
> retrieving revision 1.209
> diff -u -r1.209 Makefile
> --- Makefile	15 Nov 2005 06:49:23 -0000	1.209
> +++ Makefile	4 Jan 2006 22:14:52 -0000
> @@ -6,7 +6,7 @@
>  #
>
>  PORTNAME=	ImageMagick
> -PORTVERSION=	6.2.2.1
> +PORTVERSION=	6.2.5.5
>  CATEGORIES=	graphics perl5
>  MASTER_SITES=	ftp://ftp.nluug.nl/pub/ImageMagick/ \
>  		${MASTER_SITE_LOCAL:S/%SUBDIR%/pav/}
> @@ -15,7 +15,7 @@
>  MAINTAINER=	avleeuwen@piwebs.com
>  COMMENT=	Image processing tools
>
> -WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
> +WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:R}
>
>  USE_PERL5=	yes
>  USE_BZIP2=	yes
> Index: distinfo
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/distinfo,v
> retrieving revision 1.101
> diff -u -r1.101 distinfo
> --- distinfo	2 May 2005 08:27:39 -0000	1.101
> +++ distinfo	4 Jan 2006 22:14:52 -0000
> @@ -1,2 +1,2 @@
> -MD5 (ImageMagick-6.2.2-1.tar.bz2) = 129caaa6d32adb162a29eef7ebe92a9b
> -SIZE (ImageMagick-6.2.2-1.tar.bz2) = 4721988
> +MD5 (ImageMagick-6.2.5-5.tar.bz2) = eaee90992c8cf36f1f5fc6c887d73897
> +SIZE (ImageMagick-6.2.5-5.tar.bz2) = 5044679
> Index: pkg-plist
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/pkg-plist,v
> retrieving revision 1.93
> diff -u -r1.93 pkg-plist
> --- pkg-plist	2 May 2005 08:27:39 -0000	1.93
> +++ pkg-plist	4 Jan 2006 22:14:52 -0000
> @@ -65,6 +65,7 @@
>  include/magick/magic.h
>  include/magick/magick.h
>  include/magick/magick-config.h
> +include/magick/magick-type.h
>  include/magick/memory_.h
>  include/magick/methods.h
>  include/magick/module.h
> @@ -74,7 +75,9 @@
>  include/magick/option.h
>  include/magick/paint.h
>  include/magick/pixel.h
> +include/magick/prepress.h
>  include/magick/profile.h
> +include/magick/quantum.h
>  include/magick/quantize.h
>  include/magick/random_.h
>  include/magick/registry.h
> @@ -97,6 +100,8 @@
>  include/magick/widget.h
>  include/magick/xwindow.h
>  include/wand/drawing-wand.h
> +include/wand/magick-attribute.h
> +include/wand/magick-image.h
>  include/wand/magick_wand.h
>  include/wand/magick-wand.h
>  include/wand/pixel-iterator.h
> @@ -308,13 +313,13 @@
>  %%MODULES%%lib/ImageMagick/modules-%%QBIT%%/filters/analyze.so
>  lib/libMagick++.a
>  lib/libMagick++.so
> -lib/libMagick++.so.8
> +lib/libMagick++.so.9
>  lib/libMagick.a
>  lib/libMagick.so
> -lib/libMagick.so.8
> +lib/libMagick.so.9
>  lib/libWand.a
>  lib/libWand.so
> -lib/libWand.so.8
> +lib/libWand.so.9
>  libdata/pkgconfig/ImageMagick++.pc
>  libdata/pkgconfig/ImageMagick.pc
>  libdata/pkgconfig/Wand.pc
> @@ -329,148 +334,158 @@
>  share/ImageMagick-%%PORTVERSION%%/LICENSE
>  share/ImageMagick-%%PORTVERSION%%/ChangeLog
>  share/ImageMagick-%%PORTVERSION%%/NEWS
> -%%PORTDOCS%%share/doc/ImageMagick/images/background.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/button.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/configure.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/devlib.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/difference.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/donate.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/examples.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/frame.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/fuzzy-magick.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/georeviews.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/granite.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/label.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/logo.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/montage.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/reconstruct.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/red-ball.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/red-circle.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/right.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose-over.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/rose.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/script.png
> -%%PORTDOCS%%share/doc/ImageMagick/images/smile.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/sponsor.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/sprite.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/images/travelsur.gif
> -%%PORTDOCS%%share/doc/ImageMagick/images/white-highlight.png
> -%%PORTDOCS%%share/doc/ImageMagick/index.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Blob.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Cache.svg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ChangeLog.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/CoderInfo.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Documentation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Drawable_example_1.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Enumerations.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Exception.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/FormatCharacters.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Future.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Geometry.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Image.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageDesign.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/ImageMagick.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Install.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Magick++.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/NEWS.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/PixelPacket.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/Pixels.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/README.txt
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/STL.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/TypeMetric.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/index.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/montage-sample- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/right_triangle.png
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> framed.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> plain.fig
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-anatomy- 
> plain.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample- 
> framed.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/Magick++/thumbnail-sample- 
> plain.jpg
> -%%PORTDOCS%%share/doc/ImageMagick/www/advanced-unix-installation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/advanced-windows- 
> installation.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/animate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/animate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/annotate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/attribute.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/blob.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/cache.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/colorspace.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/compare.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/composite.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/constitute.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/decorate.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/display.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/draw.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/drawing-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/effect.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/enhance.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/exception.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/fx.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/image.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/list.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/magick-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/magick.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/memory.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/monitor.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/paint.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-iterator.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/pixel-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/profile.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/quantize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/registry.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/resize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/resource.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/segment.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/shear.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/signature.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/stream.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/transform.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/api/version.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/binary-releases.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/changelog.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/color.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-options.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-processing.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/command-line-tools.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/compare.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/composite.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/conjure.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/contact.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/convert.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/cvs.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/display.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/download.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/examples.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/formats.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/identify.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/import.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/install-source.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/license.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/links.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick-core.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick-wand.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/magick.css
> -%%PORTDOCS%%share/doc/ImageMagick/www/mailing-list.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/miff.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/mogrify.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/montage.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/perl-magick.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/quantize.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/resources.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/search.html
> -%%PORTDOCS%%share/doc/ImageMagick/www/sponsors.html
> +%%PORTDOCS%%%%DOCSDIR%%/images/arc.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/background.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/button.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/configure.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/devlib.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/difference.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/dogwaffle.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/donate.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/examples.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/frame.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/fuzzy-magick.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/georeviews.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/granite.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/label.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/logo.eps
> +%%PORTDOCS%%%%DOCSDIR%%/images/logo.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/montage.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/piechart.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/reconstruct.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/red-ball.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/red-circle.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/right.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose-over.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/rose.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/script.png
> +%%PORTDOCS%%%%DOCSDIR%%/images/smile.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/sponsor.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/sprite.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/images/travelsur.gif
> +%%PORTDOCS%%%%DOCSDIR%%/images/wand.ico
> +%%PORTDOCS%%%%DOCSDIR%%/images/white-highlight.png
> +%%PORTDOCS%%%%DOCSDIR%%/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Blob.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Cache.svg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ChangeLog.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/CoderInfo.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Documentation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Drawable_example_1.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Enumerations.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Exception.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/FormatCharacters.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Future.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Geometry.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Image.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageDesign.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/ImageMagick.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Install.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Magick++.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/NEWS.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/PixelPacket.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/Pixels.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/README.txt
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/STL.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/TypeMetric.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/montage-sample-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/right_triangle.png
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.fig
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-anatomy-plain.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-framed.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/Magick++/thumbnail-sample-plain.jpg
> +%%PORTDOCS%%%%DOCSDIR%%/www/advanced-unix-installation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/advanced-windows-installation.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/animate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/animate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/annotate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/attribute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/blob.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/cache.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/colorspace.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/compare.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/composite.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/constitute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/decorate.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/display.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/draw.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/drawing-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/effect.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/enhance.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/exception.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/fx.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/list.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-attribute.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/magick-image.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/memory.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/monitor.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/paint.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-iterator.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/pixel-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/profile.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/quantize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/registry.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/resize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/resource.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/segment.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/shear.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/signature.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/stream.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/transform.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/api/version.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/binary-releases.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/changelog.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/color.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-options.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-processing.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/command-line-tools.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/compare.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/composite.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/conjure.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/contact.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/convert.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/cvs.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/display.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/download.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/examples.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/formats.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/identify.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/import.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/index.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/install-source.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/license.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/links.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-core.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-vector-graphics.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick-wand.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/magick.css
> +%%PORTDOCS%%%%DOCSDIR%%/www/mailing-list.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/miff.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/mogrify.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/montage.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/perl-magick.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/quantize.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/resources.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/search.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/sponsors.html
> +%%PORTDOCS%%%%DOCSDIR%%/www/subversion.html
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/api
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www/Magick++
>  %%PORTDOCS%%@dirrm share/doc/ImageMagick/www
> Index: files/patch-Makefile.in
> ===================================================================
> RCS file: /home/pcvs/ports/graphics/ImageMagick/files/patch- 
> Makefile.in,v
> retrieving revision 1.3
> diff -u -r1.3 patch-Makefile.in
> --- files/patch-Makefile.in	9 Apr 2005 21:48:45 -0000	1.3
> +++ files/patch-Makefile.in	4 Jan 2006 22:14:52 -0000
> @@ -1,32 +1,5 @@
>  --- Makefile.in.orig	Sat Mar  5 01:08:24 2005
>  +++ Makefile.in	Thu Apr  7 23:38:41 2005
> -@@ -1890,7 +1890,7 @@
> - 	$(UTILITIES_EXTRA_DIST) \
> - 	$(WAND_EXTRA_DIST)
> -
> --lib_LTLIBRARIES = $(LIBLTDL) $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
> -+lib_LTLIBRARIES = $(LIBMAGICK) $(LIBWAND) $(LIBMAGICKPP)
> -
> - # Where architecture-independent configuration files get installed
> - # (share/ImageMagick-version)
> -@@ -4443,6 +4443,8 @@
> - 	    f=$(am__strip_dir) \
> - 	    echo " $(LIBTOOL) --mode=install $ 
> (codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$ 
> (codersdir)/$$f'"; \
> - 	    $(LIBTOOL) --mode=install $(codersLTLIBRARIES_INSTALL) $ 
> (INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(codersdir)/$$f"; \
> -+	    echo " $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$ 
> $p' '$(DESTDIR)$(codersdir)/$$f'"; \
> -+	    $(codersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$ 
> (DESTDIR)$(codersdir)/$$f"; \
> - 	  else :; fi; \
> - 	done
> -
> -@@ -4470,6 +4472,8 @@
> - 	    f=$(am__strip_dir) \
> - 	    echo " $(LIBTOOL) --mode=install $ 
> (filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR) 
> $(filtersdir)/$$f'"; \
> - 	    $(LIBTOOL) --mode=install $(filtersLTLIBRARIES_INSTALL) $ 
> (INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(filtersdir)/$$f"; \
> -+	    echo " $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$ 
> $p' '$(DESTDIR)$(filtersdir)/$$f'"; \
> -+	    $(filtersLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$ 
> (DESTDIR)$(filtersdir)/$$f"; \
> - 	  else :; fi; \
> - 	done
> -
>  @@ -9336,7 +9340,7 @@
>
>   @WITH_PERL_DYNAMIC_TRUE@@WITH_PERL_TRUE@install-exec-perl: $ 
> (PERLMAKEFILE)
>
> -- 
> Edwin Groothuis
> edwin@freebsd.org
> http://www.mavetju.org
Comment 6 Edwin Groothuis freebsd_committer 2006-01-05 03:57:21 UTC
State Changed
From-To: feedback->closed

Committed, thanks!